<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ZipPackage (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ZipPackage (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ZipPackage.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/TargetMode.html"
               title="enum in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/ZipPackage.html" target="_top">Frames</a>
        </li>
        <li><a href="ZipPackage.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.openxml4j.opc.OPCPackage">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.openxml4j.opc</div>
    <h2 title="Class ZipPackage" class="title">Class ZipPackage</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                       title="class in org.apache.poi.openxml4j.opc">org.apache.poi.openxml4j.opc.OPCPackage</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.openxml4j.opc.ZipPackage</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable, <a
                            href="../../../../../org/apache/poi/openxml4j/opc/RelationshipSource.html"
                            title="interface in org.apache.poi.openxml4j.opc">RelationshipSource</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">ZipPackage</span>
extends <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
           title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></pre>
                <div class="block">Physical zip package.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.openxml4j.opc.OPCPackage">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.openxml4j.opc.<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#contentTypeManager">contentTypeManager</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#defaultPackageAccess">defaultPackageAccess</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#defaultPartMarshaller">defaultPartMarshaller</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#isDirty">isDirty</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#originalPackagePath">originalPackagePath</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#output">output</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#packageProperties">packageProperties</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#partMarshallers">partMarshallers</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#partUnmarshallers">partUnmarshallers</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#relationships">relationships</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#ZipPackage--">ZipPackage</a></span>()</code>
                                    <div class="block">Constructor.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#closeImpl--">closeImpl</a></span>()</code>
                                    <div class="block">Close and save the package.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#createPartImpl-org.apache.poi.openxml4j.opc.PackagePartName-java.lang.String-boolean-">createPartImpl</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName,
                                    java.lang.String&nbsp;contentType,
                                    boolean&nbsp;loadRelationships)</code>
                                    <div class="block">Create a new MemoryPackagePart from the specified URI and content
                                        type


                                        aram partName The part URI.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#flushImpl--">flushImpl</a></span>()</code>
                                    <div class="block">Flush the package.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartCollection</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#getPartsImpl--">getPartsImpl</a></span>()</code>
                                    <div class="block">Retrieves the parts from this package.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
                                        title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#getZipArchive--">getZipArchive</a></span>()</code>
                                    <div class="block">Get the zip archive</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#removePartImpl-org.apache.poi.openxml4j.opc.PackagePartName-">removePartImpl</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName)</code>
                                    <div class="block">Delete a part from the package</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#revertImpl--">revertImpl</a></span>()</code>
                                    <div class="block">Close the package without saving the document.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html#saveImpl-java.io.OutputStream-">saveImpl</a></span>(java.io.OutputStream&nbsp;outputStream)</code>
                                    <div class="block">Save this package into the specified stream</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.openxml4j.opc.OPCPackage">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.openxml4j.opc.<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addExternalRelationship-java.lang.String-java.lang.String-">addExternalRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addExternalRelationship-java.lang.String-java.lang.String-java.lang.String-">addExternalRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addMarshaller-java.lang.String-org.apache.poi.openxml4j.opc.internal.PartMarshaller-">addMarshaller</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addPackagePart-org.apache.poi.openxml4j.opc.PackagePart-">addPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addRelationship-org.apache.poi.openxml4j.opc.PackagePartName-org.apache.poi.openxml4j.opc.TargetMode-java.lang.String-">addRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addRelationship-org.apache.poi.openxml4j.opc.PackagePartName-org.apache.poi.openxml4j.opc.TargetMode-java.lang.String-java.lang.String-">addRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addThumbnail-java.lang.String-">addThumbnail</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addThumbnail-java.lang.String-java.io.InputStream-">addThumbnail</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#addUnmarshaller-java.lang.String-org.apache.poi.openxml4j.opc.internal.PartUnmarshaller-">addUnmarshaller</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#clearRelationships--">clearRelationships</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#close--">close</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#containPart-org.apache.poi.openxml4j.opc.PackagePartName-">containPart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#create-java.io.File-">create</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#create-java.io.OutputStream-">create</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#create-java.lang.String-">create</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#createPart-org.apache.poi.openxml4j.opc.PackagePartName-java.lang.String-">createPart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#createPart-org.apache.poi.openxml4j.opc.PackagePartName-java.lang.String-java.io.ByteArrayOutputStream-">createPart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#deletePart-org.apache.poi.openxml4j.opc.PackagePartName-">deletePart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#deletePartRecursive-org.apache.poi.openxml4j.opc.PackagePartName-">deletePartRecursive</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#ensureRelationships--">ensureRelationships</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#flush--">flush</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getPackageAccess--">getPackageAccess</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getPackageProperties--">getPackageProperties</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getPart-org.apache.poi.openxml4j.opc.PackagePartName-">getPart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getPart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getParts--">getParts</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getPartsByContentType-java.lang.String-">getPartsByContentType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getPartsByName-java.util.regex.Pattern-">getPartsByName</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getPartsByRelationshipType-java.lang.String-">getPartsByRelationshipType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getRelationship-java.lang.String-">getRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getRelationships--">getRelationships</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getRelationshipsByType-java.lang.String-">getRelationshipsByType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getUnusedPartIndex-java.lang.String-">getUnusedPartIndex</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#hasRelationships--">hasRelationships</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#isRelationshipExists-org.apache.poi.openxml4j.opc.PackageRelationship-">isRelationshipExists</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#open-java.io.File-">open</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#open-java.io.File-org.apache.poi.openxml4j.opc.PackageAccess-">open</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#open-java.io.InputStream-">open</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#open-java.lang.String-">open</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#open-java.lang.String-org.apache.poi.openxml4j.opc.PackageAccess-">open</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#open-org.apache.poi.openxml4j.util.ZipEntrySource-">open</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#openOrCreate-java.io.File-">openOrCreate</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#registerPartAndContentType-org.apache.poi.openxml4j.opc.PackagePart-">registerPartAndContentType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#removeMarshaller-java.lang.String-">removeMarshaller</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#removePart-org.apache.poi.openxml4j.opc.PackagePart-">removePart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#removePart-org.apache.poi.openxml4j.opc.PackagePartName-">removePart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#removePartRecursive-org.apache.poi.openxml4j.opc.PackagePartName-">removePartRecursive</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#removeRelationship-java.lang.String-">removeRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#removeUnmarshaller-java.lang.String-">removeUnmarshaller</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#replaceContentType-java.lang.String-java.lang.String-">replaceContentType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#revert--">revert</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#save-java.io.File-">save</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#save-java.io.OutputStream-">save</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#unregisterPartAndContentType-org.apache.poi.openxml4j.opc.PackagePartName-">unregisterPartAndContentType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#validatePackage-org.apache.poi.openxml4j.opc.OPCPackage-">validatePackage</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ZipPackage--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ZipPackage</h4>
                                <pre>public&nbsp;ZipPackage()</pre>
                                <div class="block">Constructor. Creates a new, empty ZipPackage.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getPartsImpl--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPartsImpl</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartCollection</a>&nbsp;getPartsImpl()
                                      throws <a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Retrieves the parts from this package. We assume that the package has
                                    not
                                    been yet inspect to retrieve all the parts, this method will open the
                                    archive and look for all parts contain inside it.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#getPartsImpl--">getPartsImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>All parts contain in this package.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - if the package is not valid.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPartImpl-org.apache.poi.openxml4j.opc.PackagePartName-java.lang.String-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPartImpl</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;createPartImpl(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName,
                                     java.lang.String&nbsp;contentType,
                                     boolean&nbsp;loadRelationships)</pre>
                                <div class="block">Create a new MemoryPackagePart from the specified URI and content
                                    type


                                    aram partName The part URI.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#createPartImpl-org.apache.poi.openxml4j.opc.PackagePartName-java.lang.String-boolean-">createPartImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>contentType</code> - The part content type.</dd>
                                    <dd><code>partName</code> - URI of the part to create.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The newly created zip package part, else <b>null</b>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removePartImpl-org.apache.poi.openxml4j.opc.PackagePartName-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removePartImpl</h4>
                                <pre>protected&nbsp;void&nbsp;removePartImpl(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName)</pre>
                                <div class="block">Delete a part from the package</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#removePartImpl-org.apache.poi.openxml4j.opc.PackagePartName-">removePartImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>partName</code> - The URI of the part to delete.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - Throws if the part URI is
                                        nulll or invalid.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="flushImpl--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>flushImpl</h4>
                                <pre>protected&nbsp;void&nbsp;flushImpl()</pre>
                                <div class="block">Flush the package. Do nothing.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#flushImpl--">flushImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="closeImpl--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>closeImpl</h4>
                                <pre>protected&nbsp;void&nbsp;closeImpl()
                  throws java.io.IOException</pre>
                                <div class="block">Close and save the package.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#closeImpl--">closeImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#close--"><code>OPCPackage.close()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="revertImpl--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>revertImpl</h4>
                                <pre>protected&nbsp;void&nbsp;revertImpl()</pre>
                                <div class="block">Close the package without saving the document. Discard all the
                                    changes
                                    made to this package.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#revertImpl--">revertImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="saveImpl-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>saveImpl</h4>
                                <pre>public&nbsp;void&nbsp;saveImpl(java.io.OutputStream&nbsp;outputStream)</pre>
                                <div class="block">Save this package into the specified stream</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#saveImpl-java.io.OutputStream-">saveImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>outputStream</code> - The stream use to save this package.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#save-java.io.OutputStream-"><code>OPCPackage.save(OutputStream)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getZipArchive--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getZipArchive</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/util/ZipEntrySource.html"
                                        title="interface in org.apache.poi.openxml4j.util">ZipEntrySource</a>&nbsp;getZipArchive()</pre>
                                <div class="block">Get the zip archive</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The zip archive.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ZipPackage.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/TargetMode.html"
               title="enum in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/ZipPackage.html" target="_top">Frames</a>
        </li>
        <li><a href="ZipPackage.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.openxml4j.opc.OPCPackage">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
